> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Capture a treasury snapshot

> Stores a point-in-time treasury record for compliance / audit purposes.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/treasury/snapshot
openapi: 3.1.0
info:
  title: Sly API
  description: >-
    The Agentic Economy Platform — stablecoin payments, agent wallets,
    multi-protocol commerce, and AI agent orchestration.
  version: 1.0.0
  contact:
    name: Sly
    url: https://getsly.ai
    email: support@getsly.ai
servers:
  - url: https://api.getsly.ai/v1
    description: Production
  - url: https://sandbox.getsly.ai/v1
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/treasury/snapshot:
    post:
      tags:
        - Treasury
      summary: Capture a treasury snapshot
      description: Stores a point-in-time treasury record for compliance / audit purposes.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                description:
                  type: string
                  maxLength: 500
      responses:
        '201':
          description: Snapshot
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  captured_at:
                    type: string
                    format: date-time
                required:
                  - id
                  - captured_at
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (pk_test_* or pk_live_*), JWT session, agent token (agent_*),
        Ed25519 session (sess_*), or portal token (portal_*).

````